|
Harald Hoyer |
61c497 |
From 0a5fd0dcec3f6fd49626fed0cac4e89cd1ad3453 Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
61c497 |
From: Harald Hoyer <harald@redhat.com>
|
|
Harald Hoyer |
61c497 |
Date: Thu, 14 Mar 2013 17:54:36 +0100
|
|
Harald Hoyer |
61c497 |
Subject: [PATCH] iscsi/iscsiroot.sh: do not mount manually in systemd mode
|
|
Harald Hoyer |
61c497 |
|
|
Harald Hoyer |
61c497 |
---
|
|
Harald Hoyer |
61c497 |
modules.d/95iscsi/iscsiroot.sh | 3 ++-
|
|
Harald Hoyer |
61c497 |
modules.d/95iscsi/module-setup.sh | 4 +++-
|
|
Harald Hoyer |
61c497 |
2 files changed, 5 insertions(+), 2 deletions(-)
|
|
Harald Hoyer |
61c497 |
|
|
Harald Hoyer |
61c497 |
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
|
|
Harald Hoyer |
61c497 |
index aa6c6ec..0c04219 100755
|
|
Harald Hoyer |
61c497 |
--- a/modules.d/95iscsi/iscsiroot.sh
|
|
Harald Hoyer |
61c497 |
+++ b/modules.d/95iscsi/iscsiroot.sh
|
|
Harald Hoyer |
61c497 |
@@ -145,7 +145,8 @@ handle_netroot()
|
|
Harald Hoyer |
61c497 |
wait_for_dev /dev/root
|
|
Harald Hoyer |
61c497 |
|
|
Harald Hoyer |
61c497 |
# install mount script
|
|
Harald Hoyer |
61c497 |
- echo "iscsi_lun=$iscsi_lun . /bin/mount-lun.sh " > $hookdir/mount/01-$$-iscsi.sh
|
|
Harald Hoyer |
61c497 |
+ [ -z "$DRACUT_SYSTEMD" ] && \
|
|
Harald Hoyer |
61c497 |
+ echo "iscsi_lun=$iscsi_lun . /bin/mount-lun.sh " > $hookdir/mount/01-$$-iscsi.sh
|
|
Harald Hoyer |
61c497 |
fi
|
|
Harald Hoyer |
61c497 |
|
|
Harald Hoyer |
61c497 |
# force udevsettle to break
|
|
Harald Hoyer |
61c497 |
diff --git a/modules.d/95iscsi/module-setup.sh b/modules.d/95iscsi/module-setup.sh
|
|
Harald Hoyer |
61c497 |
index f06c783..1910a33 100755
|
|
Harald Hoyer |
61c497 |
--- a/modules.d/95iscsi/module-setup.sh
|
|
Harald Hoyer |
61c497 |
+++ b/modules.d/95iscsi/module-setup.sh
|
|
Harald Hoyer |
61c497 |
@@ -78,6 +78,8 @@ install() {
|
|
Harald Hoyer |
61c497 |
inst_hook cmdline 90 "$moddir/parse-iscsiroot.sh"
|
|
Harald Hoyer |
61c497 |
inst_hook cleanup 90 "$moddir/cleanup-iscsi.sh"
|
|
Harald Hoyer |
61c497 |
inst "$moddir/iscsiroot.sh" "/sbin/iscsiroot"
|
|
Harald Hoyer |
61c497 |
- inst "$moddir/mount-lun.sh" "/bin/mount-lun.sh"
|
|
Harald Hoyer |
61c497 |
+ if ! dracut_module_included "systemd"; then
|
|
Harald Hoyer |
61c497 |
+ inst "$moddir/mount-lun.sh" "/bin/mount-lun.sh"
|
|
Harald Hoyer |
61c497 |
+ fi
|
|
Harald Hoyer |
61c497 |
dracut_need_initqueue
|
|
Harald Hoyer |
61c497 |
}
|